com.aliyun.svideosdk.common

## Interface AliyunIClipConstructor

- All Superinterfaces:
    AliyunIClipManager
  All Known Subinterfaces:
    AliyunIImport, AliyunISourcePartManager

      public interface AliyunIClipConstructor
      extends AliyunIClipManager

  An interface that manages media clips. Allows users to add media clips when importing video files, and update media clips when editing video files.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addImage(java.lang.String imagePath, long durationMills, TransitionBase transition, AliyunDisplayMode mode)` Deprecated. replaced by `AliyunIClipManager.addMediaClip(AliyunClip)`
    `int` | `addVideo(java.lang.String videoPath, long startTimeMills, long endTimeMills, TransitionBase transition, AliyunDisplayMode mode)` Deprecated. replaced by `AliyunIClipManager.addMediaClip(AliyunClip)`
    `int` | `addVideo(java.lang.String videoPath, TransitionBase transition, AliyunDisplayMode mode)` Deprecated. replaced by `AliyunIClipManager.addMediaClip(AliyunClip)`
    `int` | `deleteMediaClip()` Deprecated. replaced by `AliyunIClipManager.deleteLastMediaClip()` }
    `AliyunClip` | `getMediaPart(int index)` Deprecated. replaced by `AliyunIClipManager.getMediaClip(int)`
    `int` | `getMediaPartCount()` Deprecated. replaced by `AliyunIClipManager.getMediaClipCount()`
    `void` | `removeMedia(int id)` Removes a media clip, such as a video or an image.
    `void` | `removeVideo(java.lang.String videoPath)` Deprecated. Replaced by `removeMedia(int)`.

    - ### Methods inherited from interface com.aliyun.svideosdk.common.AliyunIClipManager

      `addMediaClip, addMediaClip, deleteLastMediaClip, deleteMediaClip, deleteMediaClip, getAllClips, getMediaClip, getMediaClipCount, swap, updateAllClips, updateMediaClip`

- - ### Method Detail

    - #### deleteMediaClip

          @Deprecated
          int deleteMediaClip()

      Deprecated. replaced by `AliyunIClipManager.deleteLastMediaClip()` }
      Deletes the media clip at the end of the list.
      Returns:
        0 if the invocation is successful or `AliyunErrorCode.ERROR_NO_CLIP` if there is no clip in the list.

    - #### getMediaPart

          @Deprecated
          AliyunClip getMediaPart(int index)

      Deprecated. replaced by `AliyunIClipManager.getMediaClip(int)`
      Gets a media clip at an index position.
      Parameters:
        `index` -
      Returns:
        A copy of the clip at the index position if the invocation is successful or null if the invocation fails.

    - #### getMediaPartCount

          @Deprecated
          int getMediaPartCount()

      Deprecated. replaced by `AliyunIClipManager.getMediaClipCount()`
      Gets the number of media clips.
      Returns:
        The total number of clips in the list.

    - #### addVideo

          @Deprecated
          int addVideo(java.lang.String videoPath,
                                   TransitionBase transition,
                                   AliyunDisplayMode mode)

      Deprecated. replaced by `AliyunIClipManager.addMediaClip(AliyunClip)`
      Adds a video.
      Parameters:
        `videoPath` -
        `transition` - `TransitionBase`
        `mode` -
      Returns:
        The id of the video if the invocation is successful or an error code if the invocation fails. This id is greater than 0 and required to remove this video.

    - #### addVideo

          @Deprecated
          int addVideo(java.lang.String videoPath,
                                   long startTimeMills,
                                   long endTimeMills,
                                   TransitionBase transition,
                                   AliyunDisplayMode mode)

      Deprecated. replaced by `AliyunIClipManager.addMediaClip(AliyunClip)`
      Adds a video. Updated in v3.3.3
      Parameters:
        `videoPath` - The path of the video.
        `startTimeMills` - The start time of the video in milliseconds.
        `endTimeMills` - The end time of the video in milliseconds.
        `transition` - `TransitionBase`
      Returns:
        The id of the video if the invocation is successful or an error code if the invocation fails. This id is greater than 0 and required to remove this video.

    - #### addImage

          @Deprecated
          int addImage(java.lang.String imagePath,
                                   long durationMills,
                                   TransitionBase transition,
                                   AliyunDisplayMode mode)

      Deprecated. replaced by `AliyunIClipManager.addMediaClip(AliyunClip)`
      Adds an image.
      Parameters:
        `imagePath` -
        `durationMills` - The image display duration in milliseconds.
        `transition` - `TransitionBase`
        `mode` -
      Returns:
        The id of the image if the invocation is successful or an error code if the invocation fails. This id is greater than 0 and required to remove this image.

    - #### removeMedia

          void removeMedia(int id)

      Removes a media clip, such as a video or an image.
      Parameters:
        `id` - The id of the media clip returned by `addVideo(String, TransitionBase, AliyunDisplayMode)` or `addImage(String, long, TransitionBase, AliyunDisplayMode)`.

    - #### removeVideo

          void removeVideo(java.lang.String videoPath)
                    throws java.lang.IllegalAccessException

      Deprecated. Replaced by `removeMedia(int)`.
      Removes a media clip.
      Parameters:
        `videoPath` -
      Throws:
        `java.lang.IllegalAccessException`